Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc2.schema
Class CacheInvalidator

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc2.schema.CacheInvalidator

All Implemented Interfaces:
  Invalidatable

public class CacheInvalidator
extends Object
implements Invalidatable

Version:
  `$Revision: 1.1.4.3 $`
Author:
  Alexey Loubyansky

Constructor Summary
`CacheInvalidator(Cache cache, TransactionManager tm, InvalidationGroup group)`

Method Summary
`void` | `areInvalid(Serializable[] keys)` Indicates that the resources with the give keys should be invalidated (i.e.
`void` | `invalidateAll()` All entries should be invalidated.
`void` | `isInvalid(Serializable key)` Indicates that the resource with the given key should be invalidated (i.e.
`void` | `unregister()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheInvalidator

    public CacheInvalidator(Cache cache,
                            TransactionManager tm,
                            InvalidationGroup group)

Method Detail

### unregister

    public void unregister()

### isInvalid

    public void isInvalid(Serializable key)

  Description copied from interface: `Invalidatable`
  Indicates that the resource with the given key should be invalidated (i.e. removed from cache)

  Specified by:
    `isInvalid` in interface `Invalidatable`
  Parameters:
    `key` - Key of the resource to be invalidated

### areInvalid

    public void areInvalid(Serializable[] keys)

  Description copied from interface: `Invalidatable`
  Indicates that the resources with the give keys should be invalidated (i.e. removed from cache)

  Specified by:
    `areInvalid` in interface `Invalidatable`
  Parameters:
    `keys` - Keys of the resources to be invalidated

### invalidateAll

    public void invalidateAll()

  Description copied from interface: `Invalidatable`
  All entries should be invalidated.

  Specified by:
    `invalidateAll` in interface `Invalidatable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.